/*
    Speed Climbing Stopwatch - Simple Stopwatch for Climbers
    Copyright (C) 2018  Itsblue Development - Dorian Zeder

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published
    by the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#include "headers/scstwappsettings.h"

ScStwAppSettings * pGlobalAppSettings = nullptr;

ScStwAppSettings::ScStwAppSettings(ScStwClient * client, QObject* parent)
    :ScStwRemoteSettings(client, parent)
{
    this->registerKeyLevelConverters(ScStwAppSettings::KeyLevel, &ScStwAppSettings::keyToString, &ScStwAppSettings::keyToType);
}

QVariant ScStwAppSettings::readSetting(AppInternalSetting key) {
    return this->readSetting(key, 1);
}

bool ScStwAppSettings::writeSetting(AppInternalSetting key, QVariant value) {
    return this->writeSetting(key, 1, value);
}

bool ScStwAppSettings::setDefaultSetting(AppInternalSetting key, QVariant defaultValue) {
    return this->setDefaultSetting(key, 1, defaultValue);
}

